import {postAction,downFilePost} from '@/api/manage'
const prefix = '/manager/ciop';

// 楼长KPI管理
let initSubstName = (params) => postAction(prefix + "/yxtOrder/initSubstName" , params);
let getSchoolNames  = (params) => postAction(prefix + "/yxtOrder/getSchoolNames" , params);
let uploadExcel = (params) => downFilePost(prefix + "/yxtOrder/excelOut" , params);
let downloadMoBan = (params) => downFilePost(prefix + "/yxtOrder/downloadMoBan" , params);
let yxtOrderList = (params) => postAction(prefix + "/yxtOrder/list" , params);
let yxtOrderDelete = (params) => postAction(prefix + "/yxtOrder/delete", params);
let yxtOrderInsert = (params) => postAction(prefix + "/yxtOrder/insert" , params);
let yxtOrderUpdate = (params) => postAction(prefix + "/yxtOrder/update",params);
let getYxtCard  = (params) => postAction(prefix + "/yxtOrder/getYxtCard",params);

export {
    initSubstName,
    getSchoolNames,
    uploadExcel,
    downloadMoBan,
    yxtOrderList,
    yxtOrderDelete,
    yxtOrderInsert,
    yxtOrderUpdate,
    getYxtCard
}
